package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.UserRoleDEFields;
import com.sa.ibiz.demo.demo.service.UserRoleDEFieldsService;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldsSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/userroledefields")
public class UserRoleDEFieldsResource
{
	@Autowired
	private UserRoleDEFieldsService service;


	@PostMapping(value = "/getDraft")
	public ResponseEntity<UserRoleDEFields> getDraft(@Validated @RequestBody UserRoleDEFields data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色相关实体属性访问控制[getDraft]操作发生错误","UserRoleDEFields","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/update")
	public ResponseEntity<UserRoleDEFields> update(@Validated @RequestBody UserRoleDEFields data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色相关实体属性访问控制[update]操作发生错误","UserRoleDEFields",data.getUserroledefieldsid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<UserRoleDEFields> remove(@Validated @RequestBody UserRoleDEFields data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色相关实体属性访问控制[remove]操作发生错误","UserRoleDEFields",data.getUserroledefieldsid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<UserRoleDEFields> get(@Validated @PathVariable String id){
		UserRoleDEFields data=new UserRoleDEFields();
		data.setUserroledefieldsid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("用户角色相关实体属性访问控制[get]操作发生错误","UserRoleDEFields",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<UserRoleDEFields> create(@Validated @RequestBody UserRoleDEFields data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色相关实体属性访问控制[create]操作发生错误","UserRoleDEFields",data.getUserroledefieldsid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<UserRoleDEFields> checkKey(@Validated @RequestBody UserRoleDEFields data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("用户角色相关实体属性访问控制[checkKey]操作发生错误","UserRoleDEFields",data.getUserroledefieldsid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<UserRoleDEFields>> searchDefaultPage(@Validated @RequestBody UserRoleDEFieldsSearchFilter filter){
		Page<UserRoleDEFields> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<UserRoleDEFields>> listDefault(@Validated @RequestBody UserRoleDEFieldsSearchFilter filter){
		List<UserRoleDEFields> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
